% written by Yann Büchau
% https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme

\newcommand{\thetitlecontent}{}
\newcommand{\theleftheaderlogo}{beamerthemeEKUT-logo.pdf}
\newcommand{\therightheaderlogo}{}
\newcommand{\thecopyrighttext}{}
\newcommand{\thecopyrighticon}{}
\newcommand{\theconference}{}
\newcommand{\thesession}{}
\newcommand{\thecoauthors}{}
\newcommand{\theaddress}{}
\newcommand{\thetelephone}{}
\newcommand{\thewebsite}{}
\newcommand{\theemail}{}
\newcommand{\theemaillink}{mailto:\theemail?subject=\theconference\&body=...}
\newcommand{\thetwitter}{}
\newcommand{\themastodon}{}
\newcommand{\thegitlab}{}
\newcommand{\thegithub}{}

\newcommand{\titlecontent}[1]{\renewcommand{\thetitlecontent}{#1}}
\newcommand{\leftheaderlogo}[1]{\renewcommand{\theleftheaderlogo}{#1}}
\newcommand{\rightheaderlogo}[1]{\renewcommand{\therightheaderlogo}{#1}}
\newcommand{\copyrighttext}[1]{\renewcommand{\thecopyrighttext}{#1}}
\newcommand{\copyrighticon}[1]{\renewcommand{\thecopyrighticon}{#1}}
\newcommand{\conference}[1]{\renewcommand{\theconference}{#1}}
\newcommand{\session}[1]{\renewcommand{\thesession}{#1}}
\newcommand{\coauthors}[1]{\renewcommand{\thecoauthors}{#1}}
\newcommand{\address}[1]{\renewcommand{\theaddress}{#1}}
\newcommand{\telephone}[1]{\renewcommand{\thetelephone}{#1}}
\newcommand{\website}[1]{\renewcommand{\thewebsite}{#1}}
\newcommand{\email}[1]{\renewcommand{\theemail}{#1}}
\newcommand{\emaillink}[1]{\renewcommand{\theemaillink}{#1}}
\newcommand{\twitter}[1]{\renewcommand{\thetwitter}{#1}}
\newcommand{\mastodon}[1]{\renewcommand{\themastodon}{#1}}
\newcommand{\gitlab}[1]{\renewcommand{\thegitlab}{#1}}
\newcommand{\github}[1]{\renewcommand{\thegithub}{#1}}
